<%= form_for @item do |f| %>
  <%= f.file_field :blob_signed_id,
            data: { direct_upload_url: main_app.rails_direct_uploads_url } %>
  <br />
  <br />
  <%= f.submit "Upload" %>
<% end %>

<%= javascript_tag do %>
  let submitButton = document.querySelector("input[type=submit]")
  let fileInput = document.querySelector("input[type=file]")

  submitButton.disabled = true;

  fileInput.addEventListener("change", function() {
    if(this.value) { submitButton.disabled = false }
  })
<% end %>